update to 5.0.0 rc1

f41
David Tardon 10 years ago
parent ee19d30f6e
commit c5c56a6ed0

3
.gitignore vendored

@ -78,3 +78,6 @@
/libreoffice-5.0.0.0.beta3.tar.xz /libreoffice-5.0.0.0.beta3.tar.xz
/libreoffice-help-5.0.0.0.beta3.tar.xz /libreoffice-help-5.0.0.0.beta3.tar.xz
/libreoffice-translations-5.0.0.0.beta3.tar.xz /libreoffice-translations-5.0.0.0.beta3.tar.xz
/libreoffice-5.0.0.1.tar.xz
/libreoffice-help-5.0.0.1.tar.xz
/libreoffice-translations-5.0.0.1.tar.xz

@ -3,7 +3,7 @@
# Should contain .alphaX / .betaX, if this is pre-release (actually # Should contain .alphaX / .betaX, if this is pre-release (actually
# pre-RC) version. The pre-release string is part of tarball file names, # pre-RC) version. The pre-release string is part of tarball file names,
# so we need a way to define it easily at one place. # so we need a way to define it easily at one place.
%define libo_prerelease .beta3 %define libo_prerelease %{nil}
# rhbz#715152 state vendor # rhbz#715152 state vendor
%if 0%{?rhel} %if 0%{?rhel}
%define vendoroption --with-vendor="Red Hat, Inc." %define vendoroption --with-vendor="Red Hat, Inc."
@ -50,8 +50,8 @@
Summary: Free Software Productivity Suite Summary: Free Software Productivity Suite
Name: libreoffice Name: libreoffice
Epoch: 1 Epoch: 1
Version: %{libo_version}.0 Version: %{libo_version}.1
Release: 8%{?libo_prerelease}%{?dist} Release: 1%{?libo_prerelease}%{?dist}
License: (MPLv1.1 or LGPLv3+) and LGPLv3 and LGPLv2+ and BSD and (MPLv1.1 or GPLv2 or LGPLv2 or Netscape) and Public Domain and ASL 2.0 and Artistic and MPLv2.0 and CC0 License: (MPLv1.1 or LGPLv3+) and LGPLv3 and LGPLv2+ and BSD and (MPLv1.1 or GPLv2 or LGPLv2 or Netscape) and Public Domain and ASL 2.0 and Artistic and MPLv2.0 and CC0
Group: Applications/Productivity Group: Applications/Productivity
URL: http://www.libreoffice.org/ URL: http://www.libreoffice.org/
@ -2442,6 +2442,9 @@ update-desktop-database %{_datadir}/applications &> /dev/null || :
%endif %endif
%changelog %changelog
* Sun Jun 21 2015 David Tardon <dtardon@redhat.com> - 1:5.0.0.1-1
- update to 5.0.0 rc1
* Fri Jun 19 2015 David Tardon <dtardon@redhat.com> - 1:5.0.0.0-8.beta3 * Fri Jun 19 2015 David Tardon <dtardon@redhat.com> - 1:5.0.0.0-8.beta3
- Resolves: rhbz#1233420 crash on auto-fill - Resolves: rhbz#1233420 crash on auto-fill

@ -1,20 +1,40 @@
From 3b77bbe76b9f99d871074e8baa6e0845f4756442 Mon Sep 17 00:00:00 2001 From 4ee0775161d44acc5089aeec2013d461fe592e23 Mon Sep 17 00:00:00 2001
From: David Tardon <dtardon@redhat.com> From: David Tardon <dtardon@redhat.com>
Date: Mon, 3 Feb 2014 20:24:50 +0100 Date: Mon, 3 Feb 2014 20:24:50 +0100
Subject: [PATCH] i#86080 unopkg bodge Subject: [PATCH] i#86080 unopkg bodge
--- ---
desktop/scripts/unopkg.sh | 33 +++++++++++++++++++++++++++++++-- desktop/scripts/unopkg.sh | 53 +++++++++++++++++++++++++++++++++++++++++++++--
1 file changed, 31 insertions(+), 2 deletions(-) 1 file changed, 51 insertions(+), 2 deletions(-)
diff --git a/desktop/scripts/unopkg.sh b/desktop/scripts/unopkg.sh diff --git a/desktop/scripts/unopkg.sh b/desktop/scripts/unopkg.sh
index d16d226..aefc918 100755 index ca1e3bc..6393e99 100755
--- a/desktop/scripts/unopkg.sh --- a/desktop/scripts/unopkg.sh
+++ b/desktop/scripts/unopkg.sh +++ b/desktop/scripts/unopkg.sh
@@ -53,6 +53,33 @@ AIX) @@ -78,6 +78,53 @@ if [ "$(id -u)" -eq "0" ]; then
;; fi
esac fi
+if [ $isnotuser -eq 1 ]; then
+ echo $@ | grep -q env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY
+ if [ $? -ne 0 ]; then
+ set -- $@ '-env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1'
+ fi
+ echo $@ | grep -q env:UNO_JAVA_JFW_INSTALL_DATA
+ if [ $? -ne 0 -a -w $sd_prog/../share/config/javasettingsunopkginstall.xml ]; then
+ set -- $@ '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
+ fi
+ echo $@ | grep -q env:UserInstallation
+ if [ $? -ne 0 ]; then
+ INSTDIR=`/bin/mktemp -d --tmpdir unoinstall.XXXXXX`
+ if [ $? -ne 0 ]; then
+ echo "Could not create tmp dir" >&2
+ exit 1
+ fi
+ set -- $@ '-env:UserInstallation=file://'$INSTDIR
+ fi
+fi
+
+isnotuser=0 +isnotuser=0
+for arg in $@ +for arg in $@
+do +do
@ -42,10 +62,10 @@ index d16d226..aefc918 100755
+ fi + fi
+fi +fi
+ +
#collect all bootstrap variables specified on the command line # extend the ld_library_path for java: javaldx checks the sofficerc for us
#so that they can be passed as arguments to javaldx later on if [ -x "${sd_prog}/javaldx" ] ; then
for arg in $@ my_path=`"${sd_prog}/javaldx" $BOOTSTRAPVARS \
@@ -92,6 +119,8 @@ unset XENVIRONMENT @@ -106,6 +153,8 @@ unset XENVIRONMENT
# SAL_NO_XINITTHREADS=true; export SAL_NO_XINITTHREADS # SAL_NO_XINITTHREADS=true; export SAL_NO_XINITTHREADS
# execute binary # execute binary
@ -57,5 +77,5 @@ index d16d226..aefc918 100755
+ rm -rf $INSTDIR + rm -rf $INSTDIR
+fi +fi
-- --
1.8.4.2 2.4.2

@ -7,6 +7,6 @@ a7983f859eafb2677d7ff386a023bc40 a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.
0168229624cfac409e766913506961a8 0168229624cfac409e766913506961a8-ucpp-1.3.2.tar.gz 0168229624cfac409e766913506961a8 0168229624cfac409e766913506961a8-ucpp-1.3.2.tar.gz
12fb8b5b0d5132726e57b9b9fc7e22c4 libreoffice-multiliblauncher.sh 12fb8b5b0d5132726e57b9b9fc7e22c4 libreoffice-multiliblauncher.sh
4b87018f7fff1d054939d19920b751a0 4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 4b87018f7fff1d054939d19920b751a0 4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2
af630a7c308f36f64b24e1c3f3f0e94f libreoffice-5.0.0.0.beta3.tar.xz a2639d07cbb5a5096aa3d59f34226d93 libreoffice-5.0.0.1.tar.xz
f6eb84ce82c5e6114bc53dc1dab30ecc libreoffice-help-5.0.0.0.beta3.tar.xz d82828c069520effc290197e0ddf22a4 libreoffice-help-5.0.0.1.tar.xz
13062c6650bb2572c8feb5a71a507c90 libreoffice-translations-5.0.0.0.beta3.tar.xz 7cf68643be6c0e0da7f9e0ba50c90be9 libreoffice-translations-5.0.0.1.tar.xz

Loading…
Cancel
Save